| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D9DeviceManager Class Reference

Device manager interface. More...

`#include <OgreD3D9DeviceManager.h>`

Inheritance diagram for Ogre::D3D9DeviceManager:
[legend]

## Public Member Functions
| D3D9DeviceManager ()
| ~D3D9DeviceManager ()
void | destroyInactiveRenderDevices ()
D3D9Device * | getActiveDevice ()
D3D9Device * | getActiveRenderTargetDevice ()
D3D9Device * | getDevice (UINT index)
UINT | getDeviceCount ()
D3D9Device * | getDeviceFromD3D9Device (IDirect3DDevice9 *d3d9Device)
void | linkRenderWindow (D3D9RenderWindow *renderWindow)
void | notifyOnDeviceDestroy (D3D9Device *device)
void | setActiveDevice (D3D9Device *device)
void | setActiveRenderTargetDevice (D3D9Device *device)

## Detailed Description

Device manager interface.

## Constructor & Destructor Documentation

## ◆ D3D9DeviceManager()

Ogre::D3D9DeviceManager::D3D9DeviceManager | ( |  | ) |

## ◆ ~D3D9DeviceManager()

Ogre::D3D9DeviceManager::~D3D9DeviceManager | ( |  | ) |

## Member Function Documentation

## ◆ setActiveDevice()

void Ogre::D3D9DeviceManager::setActiveDevice | ( | D3D9Device * | device | ) |

## ◆ getActiveDevice()

D3D9Device* Ogre::D3D9DeviceManager::getActiveDevice | ( |  | ) |
| inline

## ◆ setActiveRenderTargetDevice()

void Ogre::D3D9DeviceManager::setActiveRenderTargetDevice | ( | D3D9Device * | device | ) |

## ◆ getActiveRenderTargetDevice()

D3D9Device* Ogre::D3D9DeviceManager::getActiveRenderTargetDevice | ( |  | ) |

## ◆ getDeviceCount()

UINT Ogre::D3D9DeviceManager::getDeviceCount | ( |  | ) |

## ◆ getDevice()

D3D9Device* Ogre::D3D9DeviceManager::getDevice | ( | UINT | index | ) |

## ◆ linkRenderWindow()

void Ogre::D3D9DeviceManager::linkRenderWindow | ( | D3D9RenderWindow * | renderWindow | ) |

## ◆ destroyInactiveRenderDevices()

void Ogre::D3D9DeviceManager::destroyInactiveRenderDevices | ( |  | ) |

## ◆ notifyOnDeviceDestroy()

void Ogre::D3D9DeviceManager::notifyOnDeviceDestroy | ( | D3D9Device * | device | ) |

## ◆ getDeviceFromD3D9Device()

D3D9Device* Ogre::D3D9DeviceManager::getDeviceFromD3D9Device | ( | IDirect3DDevice9 * | d3d9Device | ) |

The documentation for this class was generated from the following file:

- OgreD3D9DeviceManager.h